@echo off

echo ----------------------------------

echo 域名/IP数据库刷新工具代理版(管理员权限)

echo ----------------------------------

echo.

echo 请再次确认以管理员权限运行!

echo.

gsudo cache on

pause

echo 正在建立data文件夹. . .

cd /d %~dp0

mkdir .\data

echo 正在联网刷新. . .

.\aria2c --connect-timeout=10 -s8 -x8 -k1M --all-proxy=http://127.0.0.1:10808 --allow-overwrite=true --dir=.\data --out=geoip.dat "https://github.com/v2fly/geoip/releases/latest/download/geoip.dat"

.\aria2c --connect-timeout=10 -s8 -x8 -k1M --all-proxy=http://127.0.0.1:10808 --allow-overwrite=true --dir=.\data --out=geosite.dat "https://github.com/v2fly/domain-list-community/releases/latest/download/dlc.dat"

echo 正在结束进程. . .

gsudo schtasks.exe /End /tn "StartXrayCore"

gsudo taskkill /f /im xray.exe

echo 正在复制文件. . .

copy /y .\data\geoip.dat geoip.dat

copy /y .\data\geosite.dat geosite.dat

echo 正在清理. . .

rd /s /q .\data

echo 正在重启进程. . .

gsudo schtasks.exe /Run /tn "StartXrayCore"

cls

echo ----------------------------------

echo 域名/IP数据库刷新工具代理版(管理员权限)

echo ----------------------------------

echo 刷新完成!请按任意键退出. . .

pause > nul
